% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ec2_operations.R
\name{ec2_describe_vpc_endpoint_connection_notifications}
\alias{ec2_describe_vpc_endpoint_connection_notifications}
\title{Describes the connection notifications for VPC endpoints and VPC
endpoint services}
\usage{
ec2_describe_vpc_endpoint_connection_notifications(DryRun,
  ConnectionNotificationId, Filters, MaxResults, NextToken)
}
\arguments{
\item{DryRun}{Checks whether you have the required permissions for the action, without
actually making the request, and provides an error response. If you have
the required permissions, the error response is \code{DryRunOperation}.
Otherwise, it is \code{UnauthorizedOperation}.}

\item{ConnectionNotificationId}{The ID of the notification.}

\item{Filters}{One or more filters.
\itemize{
\item \code{connection-notification-arn} - The ARN of the SNS topic for the
notification.
\item \code{connection-notification-id} - The ID of the notification.
\item \code{connection-notification-state} - The state of the notification
(\code{Enabled} | \code{Disabled}).
\item \code{connection-notification-type} - The type of notification (\code{Topic}).
\item \code{service-id} - The ID of the endpoint service.
\item \code{vpc-endpoint-id} - The ID of the VPC endpoint.
}}

\item{MaxResults}{The maximum number of results to return in a single call. To retrieve
the remaining results, make another request with the returned
\code{NextToken} value.}

\item{NextToken}{The token to request the next page of results.}
}
\value{
A list with the following syntax:\preformatted{list(
  ConnectionNotificationSet = list(
    list(
      ConnectionNotificationId = "string",
      ServiceId = "string",
      VpcEndpointId = "string",
      ConnectionNotificationType = "Topic",
      ConnectionNotificationArn = "string",
      ConnectionEvents = list(
        "string"
      ),
      ConnectionNotificationState = "Enabled"|"Disabled"
    )
  ),
  NextToken = "string"
)
}
}
\description{
Describes the connection notifications for VPC endpoints and VPC
endpoint services.
}
\section{Request syntax}{
\preformatted{svc$describe_vpc_endpoint_connection_notifications(
  DryRun = TRUE|FALSE,
  ConnectionNotificationId = "string",
  Filters = list(
    list(
      Name = "string",
      Values = list(
        "string"
      )
    )
  ),
  MaxResults = 123,
  NextToken = "string"
)
}
}

\keyword{internal}
